Object.defineProperty(exports, "__esModule", { value: true });
var path = require("path");
var fs = require("fs");
function isCLIVersionLowerThan6($injector) {
    try {
        var $staticConfig = $injector.resolve('$staticConfig');
        var version = $staticConfig && $staticConfig.version;
        var majorVersion = (version || '').split('.')[0];
        return !majorVersion || +majorVersion < 6;
    }
    catch (err) {
        return false;
    }
}
module.exports = function (hookArgs, $injector, $testExecutionService) {
    if (isCLIVersionLowerThan6($injector)) {
        var bundle = hookArgs && hookArgs.appFilesUpdaterOptions && hookArgs.appFilesUpdaterOptions.bundle;
        if ($testExecutionService && $testExecutionService.platform && !bundle) {
            var $platformsData = $injector.resolve("platformsData");
            var platformData = $platformsData.getPlatformData($testExecutionService.platform), projectFilesPath = path.join(platformData.appDestinationDirectoryPath, "app"), packageJsonPath = path.join(projectFilesPath, 'package.json'), packageJson = JSON.parse(fs.readFileSync(packageJsonPath).toString());
            packageJson.main = "./tns_modules/@nativescript/unit-test-runner/app/app.js";
            fs.writeFileSync(packageJsonPath, JSON.stringify(packageJson));
        }
    }
};
